package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.SysTableSet;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 列宽修改Mapper接口
 *
 * @author ruoyi
 * @date 2021-01-30
 */
public interface SysTableSetMapper {
    /**
     * 获取最大的表ID
     *
     * @return
     */
    Long selectMaxId();

    List<SysTableSet> selectMessage(@Param("tableName") String tableName,
                                    @Param("userId") Long userId);

    Integer updateTableSetMessage(@Param("table") SysTableSet sysTableSet);

    /**
     * 查询列宽修改
     *
     * @param id 列宽修改ID
     * @return 列宽修改
     */
    public SysTableSet selectSysTableSetById(Long id);

    /**
     * 查询列宽修改列表
     *
     * @param sysTableSet 列宽修改
     * @return 列宽修改集合
     */
    public List<SysTableSet> selectSysTableSetList(SysTableSet sysTableSet);

    /**
     * 新增列宽修改
     *
     * @param sysTableSet 列宽修改
     * @return 结果
     */
    public int insertSysTableSet(SysTableSet sysTableSet);

    /**
     * 修改列宽修改
     *
     * @param sysTableSet 列宽修改
     * @return 结果
     */
    public int updateSysTableSet(SysTableSet sysTableSet);

    /**
     * 删除列宽修改
     *
     * @param id 列宽修改ID
     * @return 结果
     */
    public int deleteSysTableSetById(Long id);

    /**
     * 批量删除列宽修改
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSysTableSetByIds(Long[] ids);

    /**
     *  根据条件删除对应数据
     * @param stableSet
     * @return
     */
    public int deleteSysTableSet(SysTableSet stableSet);
}
